# 404 Errors on new install

## Permalinks

If you installed Disciple.Tools and are getting 404 errors on `/contacts` or other pages try this: Log in to wp-admin and go to Settings > Permalinks. You don’t need to change anything, just click **save** at the bottom. Click **save** again because WordPress.

## Windows Hosting

**Special Note for hosting on Windows servers**: If you receive a 404 error message when trying to preview or run DT after installing WordPress and the DT theme, check the root WordPress folder (e.g., `C:\inetpub\wwwroot\wordpress`) , and verify the `web.config` file exists. If not, create a text file named `web.config` and include the following code block in the file:

```markup
<?xml version="1.0" encoding="UTF-8"?>
<configuration>
  <system.webServer>
    <rewrite>
      <rules>
        <rule name="WordPress" stopProcessing="true">
          <match url="^(.*)$" />
          <conditions>
            <add input="{REQUEST_FILENAME}" matchType="IsFile" negate="true" />
            <add input="{REQUEST_FILENAME}" matchType="IsDirectory" negate="true" />
          </conditions>
          <action type="Rewrite" url="index.php" appendQueryString="true" />
        </rule>
      </rules>
    </rewrite>
  </system.webServer>
</configuration>
```

For more information, please refer to <https://www.smarterasp.net/support/kb/a1433/how-to-enable-wordpress-iis-rewrite-wordpress-iis-rewrite-example.aspx>.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.disciple.tools/hosting/404.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
